TEMPLATES = {
    "image-sharing-turn-prediction-v8": 'The following is a dialogue between {spk1} and {spk2}. You should share an image to make the following dialogue more interesting and engaging. The dialogue is provided line-by-line. In the given dialogue, select all utterances that are appropriate for sharing the image in the next turn, and write the speaker who will share the image after the selected utterance. You should also provide a rationale for your decision.\n\nDialogue:\n{dialogue}\n\nRestrictions:\n(1) your answer should be in the format of "<UTTERANCE> | <SPEAKER> | <RATIONALE>".\n(2) you MUST select the utterance in the given dialogue, NOT generate a new utterance.\n(3) the rationale should be written starting with "To".\n\nAnswer:\n1.',
    "image-sharing-turn-prediction-wo-rationale": 'The following is a dialogue between {spk1} and {spk2}. You should share an image to make the following dialogue more interesting and engaging. The dialogue is provided line-by-line. In the given dialogue, select all utterances that are appropriate for sharing the image in the next turn, and write the speaker who will share the image after the selected utterance.\n\nDialogue:\n{dialogue}\n\nRestrictions:\n(1) your answer should be in the format of "<UTTERANCE> | <SPEAKER>".\n(2) you MUST select the utterance in the given dialogue, NOT generate a new utterance.\n\nAnswer:\n1.',
    "image-sharing-turn-prediction-wo-restriction": 'The following is a dialogue between {spk1} and {spk2}. You should share an image to make the following dialogue more interesting and engaging. The dialogue is provided line-by-line. In the given dialogue, select all utterances that are appropriate for sharing the image in the next turn, and write the speaker who will share the image after the selected utterance. You should also provide a rationale for your decision, starting with "To". Your answer should be in the format of "<UTTERANCE> | <SPEAKER> | <RATIONALE>". You MUST select the utterance in the given dialogue, NOT generate a new utterance.\n\nDialogue:\n{dialogue}\n\nAnswer:\n1.',
    "image-sharing-turn-prediction-wo-restriction-wo-rationale": 'The following is a dialogue between {spk1} and {spk2}. You should share an image to make the following dialogue more interesting and engaging. The dialogue is provided line-by-line. In the given dialogue, select all utterances that are appropriate for sharing the image in the next turn, and write the speaker who will share the image after the selected utterance. Your answer should be in the format of "<UTTERANCE> | <SPEAKER>". You MUST select the utterance in the given dialogue, NOT generate a new utterance.\n\nDialogue:\n{dialogue}\n\nAnswer:\n1.',
    "image-caption-generation-v1": 'The following is a dialogue between {spk1} and {spk2}. The dialogue is provided line-by-line. {spk1} shares an image in a given dialogue to make the following dialogue more interesting and engaging, marked in [Sharing Image]. Depict the most appropriate image to be shared in the next turn, in detail.\n\nDialogue:\n{dialogue}\n\nRestrictions:\n(1) your answer should be written starting with "An image of" and in one sentence.\n(2) you do NOT include the speaker\'s name (i.e., {spk1}, {spk2}) in the image description.\n(3) you should share a realistic image, NOT memes.\n\nImage Description:',
    "image-caption-generation-wo-restriction": 'The following is a dialogue between {spk1} and {spk2}. The dialogue is provided line-by-line. {spk1} shares an image in a given dialogue to make the following dialogue more interesting and engaging, marked in [Sharing Image]. Depict the most appropriate image to be shared in the next turn, in detail. Your answer should be written starting with "An image of" and in one sentence. You do NOT include the speaker\'s name (i.e., {spk1}, {spk2}) in the image description. You should share a realistic image, NOT memes.\n\nDialogue:\n{dialogue}\n\nImage Description:',
    "grammar-correction": 'You should not revise the following dialogue, but only correct typos.\n\nDialogue:\n{dialogue}\n\nCorrected Dialogue:\n'
}